Facebook Scraping
Get Facebook Post Data
POST /v1/facebook/post
#Request
curl -X POST https://scrapingapi.qoest.com/v1/facebook/post \
-H "Authorization: Bearer your-token" \
-H "Content-Type: application/json" \
-d '{"url": "https://www.facebook.com/examplepage/posts/1234567890"}'
#Parameters
| Name | Type | Required | Notes |
|---|---|---|---|
url |
string | yes | A page post (/{page}/posts/{id}) or a group post (/groups/{group}/posts/{id}). |
#Response
{
"response": {
"id": "1234567890",
"type": "page_post",
"content": "Post text",
"created_at": "2026-01-01T12:00:00+00:00",
"author": {
"id": "100000000000001",
"username": "examplepage",
"name": "Example Page",
"profile_url": "https://www.facebook.com/examplepage",
"profile_image_url": "https://scontent.example/...",
"verified": false
},
"stats": { "reactions": 42, "comments": 5, "shares": 3 },
"media": [
{
"id": "222",
"type": "video",
"url": "https://video.example/....mp4",
"thumbnail_url": "https://scontent.example/....jpg",
"duration_seconds": 12.5
}
],
"mentions": [{ "id": "333", "name": "Example Person", "url": "https://www.facebook.com/..." }],
"comments": [
{
"id": "444",
"url": "https://www.facebook.com/examplepage/posts/1234567890?comment_id=444",
"text": "Nice",
"author": { "id": "100000000000002", "username": null, "name": "Example User", "profile_url": "https://www.facebook.com/100000000000002" },
"created_at": "2026-01-01T13:00:00+00:00",
"like_count": 2,
"reply_count": 1
}
]
}
}
#Fields
type:page_postorgroup_post.group: for group posts,{id, name, url, privacy}.stats:reactions,commentsandsharesas integers.media: items of typeimageorvideo. Videos includethumbnail_urlandduration_seconds.mentions: people and pages tagged in the post (hashtags are not included).comments: visible comments. Replies carryparent_comment_id.- Empty fields are left out.
#Pricing
3 credits per successful request.
#Errors
| Status | Body | Charged |
|---|---|---|
200 |
{"message": "Facebook post not available."} |
no |
403 |
Not enough credits | no |
403 |
{"message": "This Facebook post is private."} or "This Facebook post is not publicly accessible." |
no |
404 |
{"message": "Facebook post not found."} |
no |
422 |
Not a page or group post URL, or "Unable to retrieve this Facebook post." |
no |